org.keycloak.jose.jwe

## Class JWEConstants

- java.lang.Object
- - org.keycloak.jose.jwe.JWEConstants

-     public class JWEConstants
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `A128CBC_HS256`
    `static String` | `A128GCM`
    `static String` | `A128KW`
    `static String` | `A192CBC_HS384`
    `static String` | `A192GCM`
    `static String` | `A256CBC_HS512`
    `static String` | `A256GCM`
    `static String` | `DIR`
    `static String` | `RSA_OAEP`
    `static String` | `RSA_OAEP_256`
    `static String` | `RSA1_5`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWEConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIR

          public static final String DIR

      See Also:
        Constant Field Values

    - #### A128KW

          public static final String A128KW

      See Also:
        Constant Field Values

    - #### RSA1_5

          public static final String RSA1_5

      See Also:
        Constant Field Values

    - #### RSA_OAEP

          public static final String RSA_OAEP

      See Also:
        Constant Field Values

    - #### RSA_OAEP_256

          public static final String RSA_OAEP_256

      See Also:
        Constant Field Values

    - #### A128CBC_HS256

          public static final String A128CBC_HS256

      See Also:
        Constant Field Values

    - #### A192CBC_HS384

          public static final String A192CBC_HS384

      See Also:
        Constant Field Values

    - #### A256CBC_HS512

          public static final String A256CBC_HS512

      See Also:
        Constant Field Values

    - #### A128GCM

          public static final String A128GCM

      See Also:
        Constant Field Values

    - #### A192GCM

          public static final String A192GCM

      See Also:
        Constant Field Values

    - #### A256GCM

          public static final String A256GCM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JWEConstants

          public JWEConstants()

Copyright © 2020 JBoss by Red Hat. All rights reserved.